#include "stdinc.h"
#include "EscWeb.h"

#include "esc/EscIco.c"
#include "esc/LogoJpg.c"
#include "esc/0Gif.c"
#include "esc/1Gif.c"
#include "esc/2Gif.c"
#include "esc/3Gif.c"
#include "esc/4Gif.c"
#include "esc/5Gif.c"
#include "esc/6Gif.c"
#include "esc/7Gif.c"
#include "esc/8Gif.c"
#include "esc/9Gif.c"
#include "esc/BotGif.c"
#include "esc/TopGif.c"
#include "esc/CGif.c"
#include "esc/XGif.c"
#include "esc/DlGif.c"
#include "esc/DrGif.c"
#include "esc/R3Gif.c"
#include "esc/R3hGif.c"
#include "esc/R3dGif.c"
#include "esc/R2Gif.c"
#include "esc/R2hGif.c"
#include "esc/R2dGif.c"

static char szTypeIcon[] = "Content-Type: image/vnd.microsoft.icon\r\n"
	"Cache-Control: max-age=31536000\r\n";
static char szTypeJpeg[] = "Content-Type: image/jpeg\r\n"
	"Cache-Control: max-age=31536000\r\n";
static char szTypeGif[] = "Content-Type: image/gif\r\n"
	"Cache-Control: max-age=31536000\r\n";
static char szTextCss[] = "Content-Type: text/css\r\n"
	"Cache-Control: max-age=31536000\r\n";
static char szAppJs[] = "Content-Type: application/javascript\r\n"
	"Cache-Control: max-age=31536000\r\n";

static char szTest[] =
	"<html><head><title>Embedded Systems Conference Test</title></head>"
	"<body><h1>Embedded Systems Conference Test</h1>"
	"<p>The test web server appears to be working!</p></body></html>";

static char szEscCss[] =
	"@charset \"utf-8\";\r\n"
	"body {text-align:center; background-color:#FFF;font-family:Verdana,Arial,Helvetica,sans-serif;}\r\n"
	".pan {background-color:#888;}\r\n"
	".pan a {display:block;height:50px;background-repeat:no-repeat;text-align:center;line-height:50px;text-decoration:none;color:#00F;}\r\n"
	"td.pd {width:38px;background-image:url(dr.gif);background-repeat:no-repeat;line-height:25px;color:#C00000;font-size:10px;text-align:center;}\r\n"
	"td.rd {width:37px;background-image:url(dl.gif);background-repeat:no-repeat;line-height:25px;color:#C00000;font-size:10px;text-align:center;}\r\n"
	".r3 a {width:75px;background-image:url(r3.gif);font-size:30px;}\r\n"
	".r3 a:hover {background-image:url(r3h.gif);}\r\n"
	".r3 a:active {background-image:url(r3d.gif);}\r\n"
	".r3 a.t {font-size:15px;}\r\n"
	".r2 a {width:115px;background-image:url(r2.gif);font-size:20px;}\r\n"
	".r2 a:hover {background-image:url(r2h.gif);}\r\n"
	".r2 a:active {background-image:url(r2d.gif);}\r\n";

static char szEscJs[] =
	"var http;\r\n"
	"var sDisp='   0';\r\n"
	"var nPwr=100;\r\n"
	"var bEntry=false;\r\n"
	"var bPwr=false;\r\n"
	"var bRun=false;\r\n"
	"var bDoor=false;\r\n"
	"function Display()\r\n"
	"{var i,c,img;\r\n"
	" for (i=0;i<4;i++)\r\n"
	" {img=document.getElementById('d'+i);\r\n"
	"  c=sDisp.charAt(i);\r\n"
	"  if (c==' ') c='x';\r\n"
	"  img.src=c+'.gif';\r\n"
	" }\r\n"
	"}\r\n"
	"function pv(n)\r\n"
	"{if (bEntry || bRun)\r\n"
	"  document.getElementById('pwr').innerHTML=n+'0%';\r\n"
	" else\r\n"
	"  document.getElementById('pwr').innerHTML='&nbsp;';\r\n"
	"}\r\n"
	"function dig(d)\r\n"
	"{if (bRun)\r\n"
	"  return void 0;\r\n"
	" if (bPwr)\r\n"
	" {if (d==0) d=10;\r\n"
	"  pv(d);\r\n"
	"  nPwr=d*10;\r\n"
	"  return void 0;\r\n"
	" }\r\n"
	" if(!bEntry)\r\n"
	" {bEntry=true;\r\n"
	"  sDisp = '    ';\r\n"
	"  nPwr=100;\r\n"
	"  pv(10);\r\n"
	" }\r\n"
	" if (sDisp=='   0')\r\n"
	"  sDisp='    ';\r\n"
	" sDisp=sDisp.substring(1,4)+d;\r\n"
	" Display();\r\n"
	" return void 0;\r\n"
	"}\r\n"
	"function clr()\r\n"
	"{sDisp='   0';\r\n"
	" bPwr=false;\r\n"
	" bEntry=false;\r\n"
	" pv(0);\r\n"
	" Display();\r\n"
	" return void 0;\r\n"
	"}\r\n"
	"function pwr()\r\n"
	"{bPwr=true;\r\n"
	" return void 0;\r\n"
	"}\r\n"
	"function sub(b)\r\n"
	"{if (b && parseInt(sDisp, 10)<1)\r\n"
	"  alert('You need to enter a time!');\r\n"
	" else if (b && bDoor)\r\n"
	"  alert('The door is open!');\r\n"
	" else\r\n"
	" {document.getElementById('fr').value=b;\r\n"
	"  document.getElementById('fm').value=parseInt(sDisp.substring(0,2),10);\r\n"
	"  document.getElementById('fs').value=parseInt(sDisp.substring(2,4),10);\r\n"
	"  document.getElementById('fp').value=nPwr;\r\n"
	"  document.getElementById('f').submit();\r\n"
	" }\r\n"
	" return void 0;\r\n"
	"}\r\n"
	"function Update()\r\n"
	"{http.open('GET', 'http://192.168.11.112/ex5up', true);\r\n"
	" http.onreadystatechange = UpRcv;\r\n"
	" http.send(null);\r\n"
	"}\r\n"
	"function UpRcv()\r\n"
	"{if (http.readyState == 4)\r\n"
	" {if (http.status == 200)\r\n"
	"  {var reply=http.responseText.split(',');\r\n"
	"   var s;\r\n"
	"   if (!bEntry)\r\n"
	"   {sDisp=reply[0];\r\n"
	"    Display();\r\n"
	"    nPwr=parseInt(reply[1],10);\r\n"
	"   }\r\n"
	"   bRun=(reply[2]>'0');\r\n"
	"   bDoor=(reply[3]>'0');\r\n"
	"   pv(nPwr/10);\r\n"
	"   if (bRun) s='RUN'; else s='&nbsp;';\r\n"
	"   document.getElementById('run').innerHTML=s;\r\n"
	"   if (bDoor) s='DOOR'; else s='&nbsp;';\r\n"
	"   document.getElementById('door').innerHTML=s;\r\n"
	"  }\r\n"
	"  window.setTimeout(Update, 1000);\r\n"
	" }\r\n"
	"}\r\n"
	"function StartAjax()\r\n"
	"{try\r\n"
	" {http = new XMLHttpRequest();\r\n"
	" } catch (tryms2)\r\n"
	" {try\r\n"
	"  {http = new ActiveXObject('Msxml2.XMLHTTP');\r\n"
	"  } catch (tryms1)\r\n"
	"  {try\r\n"
	"   {http = new ActiveXObject('Microsoft.XMLHTTP');\r\n"
	"   } catch (failed)\r\n"
	"   { http = false;\r\n"
	"   }\r\n"
	"  }\r\n"
	" }\r\n"
	" window.setTimeout(Update, 1000);\r\n"
	"}\r\n";

static char szEx3Help[] =
	"<html><head><title>Microwave Control Help</title></head>"
	"<body><p><img src=\"logo.jpg\" border=\"0\" alt=\"logo\" /></p>"
	"<h1>Microwave Control Help</h1>"
	"<p>You control the microwave oven by setting the timer to the length of "
	"time you want to cook, then clicking <strong>Start</strong>.</p>"
	"<p>The length of time may be entered as a number of seconds, or it may "
	"be entered as minutes and seconds, separated by a colon (&quot;:&quot;). "
	"So, <strong>120</strong> means two minutes (120 seconds), while "
	"<strong>1:20</strong> means one minute and twenty seconds (a total of "
	"80 seconds).</p>"
	"<p>You may optionally choose the power level, which is the percentage "
	"of full power used for cooking. Use 100% for fastest cooking, or a "
	"lower level for defrosting and other slow cooking situations.</p>"
	"</body></html>";

struct EscWebResource tblWebResource[] =
{	{ "/", szTest, -1, szTextHtml },
	{ "/favicon.ico", binEscIco, sizeof(binEscIco), szTypeIcon },
	{ "/0.gif", bin0Gif, sizeof(bin0Gif), szTypeGif },
	{ "/1.gif", bin1Gif, sizeof(bin1Gif), szTypeGif },
	{ "/2.gif", bin2Gif, sizeof(bin2Gif), szTypeGif },
	{ "/3.gif", bin3Gif, sizeof(bin3Gif), szTypeGif },
	{ "/4.gif", bin4Gif, sizeof(bin4Gif), szTypeGif },
	{ "/5.gif", bin5Gif, sizeof(bin5Gif), szTypeGif },
	{ "/6.gif", bin6Gif, sizeof(bin6Gif), szTypeGif },
	{ "/7.gif", bin7Gif, sizeof(bin7Gif), szTypeGif },
	{ "/8.gif", bin8Gif, sizeof(bin8Gif), szTypeGif },
	{ "/9.gif", bin9Gif, sizeof(bin9Gif), szTypeGif },
	{ "/bot.gif", binBotGif, sizeof(binBotGif), szTypeGif },
	{ "/top.gif", binTopGif, sizeof(binTopGif), szTypeGif },
	{ "/c.gif", binCGif, sizeof(binCGif), szTypeGif },
	{ "/x.gif", binXGif, sizeof(binXGif), szTypeGif },
	{ "/dl.gif", binDlGif, sizeof(binDlGif), szTypeGif },
	{ "/dr.gif", binDrGif, sizeof(binDrGif), szTypeGif },
	{ "/r3.gif", binR3Gif, sizeof(binR3Gif), szTypeGif },
	{ "/r3h.gif", binR3hGif, sizeof(binR3hGif), szTypeGif },
	{ "/r3d.gif", binR3dGif, sizeof(binR3dGif), szTypeGif },
	{ "/r2.gif", binR2Gif, sizeof(binR2Gif), szTypeGif },
	{ "/r2h.gif", binR2hGif, sizeof(binR2hGif), szTypeGif },
	{ "/r2d.gif", binR2dGif, sizeof(binR2dGif), szTypeGif },
	{ "/logo.jpg", binLogoJpg, sizeof(binLogoJpg), szTypeJpeg },
	{ "/esc.css", szEscCss, -1, szTextCss },
	{ "/esc.js", szEscJs, -1, szAppJs },
	{ "/ex3help", szEx3Help, -1, szTextHtml },
	{ NULL }
};
